package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@Accessors(chain = true)
@ApiModel(value="userDto类", description="返回dto")
public class UsersInfoDto {

    @ApiModelProperty(name = "userId", value = "会员ID")
    private Long userId;

    @ApiModelProperty(name = "realName",value = "姓名")
    private String realName;

    @ApiModelProperty(name = "idNumber",value = "身份证号")
    private String idNumber;

    @ApiModelProperty(name = "phone", value = "用户手机号")
    private String phone;

    @ApiModelProperty(name = "totalRecharge", value = "充值总额")
    private String totalRecharge;

    @ApiModelProperty(name = "totalWithdrawal", value = "提现总额")
    private String totalWithdrawal;

    @ApiModelProperty(name = "rank", value = "层级")
    private Integer rank;

    @ApiModelProperty(name = "bottom", value = "向下最深层级层级数")
    private Integer bottom;

    @ApiModelProperty(name = "totalPeople", value = "伞下人员总和")
    private Integer totalPeople;

    @ApiModelProperty(name = "buyTotal", value = "otc卖入总额")
    private String buyTotal;

    @ApiModelProperty(name = "saleTotal", value = "otc卖出总额")
    private String saleTotal;
}
